import http from "@/utils/request";
// 用户列表
interface UserListQuery {
  roleName?: string;
  page: number;
  pageSize: number;
}
interface UserListReturn {
  totalCount: number;
  users: UserRaw[];
}
export function getUserList(data: UserListQuery): Promise<UserListReturn> {
  return http({
    url: "/api/v1/AdminRoleControllers/SearchUserFromRole",
    method: "POST",
    data,
  });
}

// 删除用户
export function deleteUser(userId: string) {
  return http({
    url: "/api/v1/AdminRoleControllers/DelUser",
    method: "POST",
    params: {
      userId,
    },
  });
}

// 获取角色列表
export interface RoleListReturn {
  concurrencyStamp?: string;
  id: string;
  name: string;
  normalizedName: string;
}
export function getRoleList(): Promise<RoleListReturn[]> {
  return http({
    url: "/api/v1/AdminRoleControllers/AllRole",
    method: "GET",
  });
}

// 授权角色
interface EnableRoleQuery {
  userId: string;
  roleName: string;
}
export function enableRole(data:EnableRoleQuery) {
  return http({
    url: "/api/v1/AdminRoleControllers/EndowRole",
    method: "POST",
    data,
  });
}
